Bug 38153 - Kernel BUG at timer.c 306
Kernel BUG at timer.c 306
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-27 23:28 EDT by Brock Murch
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 13:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Murch 2001-04-27 23:28:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


Interrupt handler not syncing

Reproducible: Sometimes
Steps to Reproduce:
1.reboot - pump running - masq enabled - brought up ipchains manually 
after network started due to script issue needing ip addy.
2.login - wife's account
3.ping my.work.machine.gov - aiee.... panic!!!

happened at least twice. I had one other crash this week (installed RH 7.1 
on tuesday - today friday)- however didn't check it out.
	

Actual Results:  System crashed with above output. First time just powered 
off/on force check ok. Second time power off/on had to run fsck / 
manually. Last time power off/on force check ok. SInce then did 
interactive setup and did not bring up ipchains or eth0.

Should be noted that I had just compiled perl 5.6.1 and tried to install 
Bundle::LWP with perl -mCPAN -e shell ... some install errors on module 
Net:FTP

Also had just ran tripwire. Then I crashed for the night. Tried to telnet 
home from work the next day and couldn't called wife. She logged in and 
tried to ping my machine and this produced the error. Same error 

Expected Results:  Dunno .... came here instead! Enabled dhcp and ipchains 
on old 486dx 33 with Debian potato (2.2) never dies! but not a 10/100 
card. Thus wanting to look at redhat .... hummmmm

invalid operand
cpu: 0
EIP: 0010 : [<c011c89f>]
EFLAGS : 00010086
eax:0000001b ebx:c02c000c ecx:00000081 edx:00000014
esi:c02bf6e0 edi:c02bffa4 ebp:c02bfef0 esp:c026ff20
ds:0018 edi:0018 ss:0018
Process swappwer(pid:0, slackpage=c026f000
Stack:
c020bc5b c020bd26 00000132 c026f6e0 c02a05a0 00000000 000000246 c011c9f4
c02bf6e0 c02bfef0 00000000 c02ad5a0 00000000 c0257008 c011d017 c02bf6e0
c0119c7c 00000000 c0119b86 00000000 00000001 c02ad5c0 0000000e c0119a8b
Call Trace:
[<c020bc56>][<c020bd26>][<c011c9f4>][<c011d017>][<c0119c7c>][<c0119b86>]
[<c0119a8b>]
[<c010c4bf>][<c0107240>][<c0107240>][<c01090c4>][<c0107240>][<c0100018>]
[<c0107263>]
[<c01072e2>][<c0105000>][<c01001917>]
Code: 0f 0b 83 c4 0c 8b 43 04 8b 0b 89 41 04 89 08 8b 43 08 89 c2
Kernel panic: Aiee, killing interrupt handler!
In interrupt handler

This computer is a old HP PII233 with 2 new Linksys 10/100 LNE100TX cards, 
a new generic 40 X cdrom, a 30 GB WD 5400 new harddrive and an old floppy.
Comment 1 Brock Murch 2001-04-27 23:54:16 EDT
Just happened again... I brought up pan and was attempting to go to news-
reader. eth1 died (I had disabled eth0). I tried to bring up eth1 and the 
system locked up.
Comment 2 Arjan van de Ven 2001-04-28 04:51:08 EDT
Can you give the output of "lspci" so we know exactly what networkcard it is?
Comment 3 Brock Murch 2001-05-01 17:14:32 EDT
I can't do it from redhat but.... with mandrake it is:
They are linksys Model LNE100TX Version 4 (I have two of them) The drivers
wouldn't compile under 2.4 and RD 7.0 has corrupted libs as you know, so I was
outta luck and installed mandrake 7.2, compiled the drivers and everything works
great!


00:06.0 Ethernet controller: Bridgecom, Inc: Unknown device 0985 (rev 11)
        Subsystem: Bridgecom, Inc: Unknown device 0574
        Flags: bus master, fast Back2Back, medium devsel, latency 64, IRQ 11
        I/O ports at f800
        Memory at fedffc00 (32-bit, non-prefetchable)
        Capabilities: <available only to root>
 
00:0a.0 Ethernet controller: Bridgecom, Inc: Unknown device 0985 (rev 11)
        Subsystem: Bridgecom, Inc: Unknown device 0574
        Flags: bus master, fast Back2Back, medium devsel, latency 64, IRQ 10
        I/O ports at f400
        Memory at fedff800 (32-bit, non-prefetchable)
        Capabilities: <available only to root>
                                                                                

Comment 4 Brock Murch 2001-05-01 17:18:11 EDT
Oh ya, I forgot to mention that this happened all the time (very reproducable).
And I did notice that eth0 or eth1 always went down just prior to the crash.
ifconfig showed one or the other down by itself just prior to crash..... good
luck!

Note You need to log in before you can comment on or make changes to this bug.